using System;
using Server.Items;
using Server.Network;

namespace Server.Items
{
	public class UncutCloth : Item, IScissorable, IDyable
	{
		public override double DefaultWeight
		{
			get { return 0.1; }
		}

		[Constructable]
		public UncutCloth() : this( 1 )
		{
		}

		[Constructable]
		public UncutCloth( int amount ) : base( 0x1767 )
		{
			Name = "uncut cloth";
			Stackable = true;
			Amount = amount;
			ItemID = Utility.RandomList( 0x175D, 0x175E, 0x175F, 0x1760, 0x1761, 0x1762, 0x1763, 0x1764, 0x1765, 0x1767 );
		}

		public UncutCloth( Serial serial ) : base( serial )
		{
		}

		public bool Dye( Mobile from, DyeTub sender )
		{
			if ( Deleted )
				return false;

			Hue = sender.DyedHue;

			return true;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnSingleClick( Mobile from )
		{
			int number = (Amount == 1) ? 1049124 : 1049123;

			from.Send( new MessageLocalized( Serial, ItemID, MessageType.Regular, 0x3B2, 3, number, "", Amount.ToString() ) );
		}

		public bool Scissor( Mobile from, Scissors scissors )
		{
			if ( Deleted || !from.CanSee( this ) ) return false;

			base.ScissorHelper( from, new Cloth(), 2 );

			return true;
		}
	}
}